GDBserver

Macros | Functions
dirent.h File Reference
`#include <sys/types.h>`

Go to the source code of this file.

## Macros
#define | _GL_DIRENT_H
#define | _GL_ATTRIBUTE_PURE /* empty */
#define | _GL_CXXDEFS_H
#define | _GL_BEGIN_NAMESPACE
#define | _GL_END_NAMESPACE
#define | _GL_EXTERN_C extern
#define | _GL_FUNCDECL_RPL(func, rettype, parameters_and_attributes) _GL_FUNCDECL_RPL_1 (rpl_##func, rettype, parameters_and_attributes)
#define | _GL_FUNCDECL_RPL_1(rpl_func, rettype, parameters_and_attributes) _GL_EXTERN_C rettype rpl_func parameters_and_attributes
#define | _GL_FUNCDECL_SYS(func, rettype, parameters_and_attributes) _GL_EXTERN_C rettype func parameters_and_attributes
#define | _GL_CXXALIAS_RPL(func, rettype, parameters) _GL_CXXALIAS_RPL_1 (func, rpl_##func, rettype, parameters)
#define | _GL_CXXALIAS_RPL_1(func, rpl_func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_RPL_CAST_1(func, rpl_func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS(func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS_CAST(func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS_CAST2(func, rettype, parameters, rettype2, parameters2) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIASWARN(func) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIASWARN1(func, rettype, parameters_and_attributes) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_ARG_NONNULL(params)
#define | _GL_WARN_ON_USE(function, message) _GL_WARN_EXTERN_C int _gl_warn_on_use
#define | _GL_WARN_ON_USE_CXX(function, rettype, parameters_and_attributes, msg) _GL_WARN_EXTERN_C int _gl_warn_on_use
#define | _GL_WARN_EXTERN_C extern

## Functions
| _GL_CXXALIAS_SYS (opendir, DIR *,(const char *dir_name))
| _GL_CXXALIASWARN (opendir)
| _GL_CXXALIAS_SYS (readdir, struct dirent *,(DIR *dirp))
| _GL_CXXALIASWARN (readdir)
| _GL_CXXALIAS_SYS (rewinddir, void,(DIR *dirp))
| _GL_CXXALIASWARN (rewinddir)
| _GL_CXXALIAS_SYS (closedir, int,(DIR *dirp))
| _GL_CXXALIASWARN (closedir)
| _GL_CXXALIAS_SYS (dirfd, int,(DIR *))
| _GL_CXXALIASWARN (dirfd)
| _GL_CXXALIAS_SYS (fdopendir, DIR *,(int fd))
| _GL_CXXALIASWARN (fdopendir)

## Macro Definition Documentation

## ◆ _GL_ARG_NONNULL

#define _GL_ARG_NONNULL | ( |  | params | ) |

Definition at line 367 of file dirent.h.

## ◆ _GL_ATTRIBUTE_PURE

#define _GL_ATTRIBUTE_PURE /* empty */

Definition at line 64 of file dirent.h.

## ◆ _GL_BEGIN_NAMESPACE

#define _GL_BEGIN_NAMESPACE

Definition at line 76 of file dirent.h.

## ◆ _GL_CXXALIAS_RPL

#define _GL_CXXALIAS_RPL | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_CXXALIAS_RPL_1 (func, rpl_##func, rettype, parameters)

Definition at line 178 of file dirent.h.

## ◆ _GL_CXXALIAS_RPL_1

#define _GL_CXXALIAS_RPL_1 | ( |  | func,
|  |  | rpl_func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 193 of file dirent.h.

## ◆ _GL_CXXALIAS_RPL_CAST_1

#define _GL_CXXALIAS_RPL_CAST_1 | ( |  | func,
|  |  | rpl_func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 216 of file dirent.h.

## ◆ _GL_CXXALIAS_SYS

#define _GL_CXXALIAS_SYS | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 243 of file dirent.h.

## ◆ _GL_CXXALIAS_SYS_CAST

#define _GL_CXXALIAS_SYS_CAST | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 266 of file dirent.h.

## ◆ _GL_CXXALIAS_SYS_CAST2

#define _GL_CXXALIAS_SYS_CAST2 | ( |  | func,
|  |  | rettype,
|  |  | parameters,
|  |  | rettype2,
|  |  | parameters2
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 297 of file dirent.h.

## ◆ _GL_CXXALIASWARN

#define _GL_CXXALIASWARN | ( |  | func | ) | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 325 of file dirent.h.

## ◆ _GL_CXXALIASWARN1

#define _GL_CXXALIASWARN1 | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 353 of file dirent.h.

## ◆ _GL_CXXDEFS_H

#define _GL_CXXDEFS_H

Definition at line 69 of file dirent.h.

## ◆ _GL_DIRENT_H

#define _GL_DIRENT_H

Definition at line 31 of file dirent.h.

## ◆ _GL_END_NAMESPACE

#define _GL_END_NAMESPACE

Definition at line 77 of file dirent.h.

## ◆ _GL_EXTERN_C

#define _GL_EXTERN_C extern

Definition at line 144 of file dirent.h.

## ◆ _GL_FUNCDECL_RPL

#define _GL_FUNCDECL_RPL | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_FUNCDECL_RPL_1 (rpl_##func, rettype, parameters_and_attributes)

Definition at line 154 of file dirent.h.

## ◆ _GL_FUNCDECL_RPL_1

#define _GL_FUNCDECL_RPL_1 | ( |  | rpl_func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C rettype rpl_func parameters_and_attributes

Definition at line 156 of file dirent.h.

## ◆ _GL_FUNCDECL_SYS

#define _GL_FUNCDECL_SYS | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C rettype func parameters_and_attributes

Definition at line 166 of file dirent.h.

## ◆ _GL_WARN_EXTERN_C

#define _GL_WARN_EXTERN_C extern

Definition at line 415 of file dirent.h.

## ◆ _GL_WARN_ON_USE

#define _GL_WARN_ON_USE | ( |  | function,
|  |  | message
| ) |  | _GL_WARN_EXTERN_C int _gl_warn_on_use

Definition at line 383 of file dirent.h.

## ◆ _GL_WARN_ON_USE_CXX

#define _GL_WARN_ON_USE_CXX | ( |  | function,
|  |  | rettype,
|  |  | parameters_and_attributes,
|  |  | msg
| ) |  | _GL_WARN_EXTERN_C int _gl_warn_on_use

Definition at line 404 of file dirent.h.

## Function Documentation

## ◆ _GL_CXXALIAS_SYS() [1/6]

_GL_CXXALIAS_SYS | ( | opendir | ,
|  | DIR * | ,
|  | (const char *dir_name) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [2/6]

_GL_CXXALIAS_SYS | ( | readdir | ,
|  | struct dirent * | ,
|  | (DIR *dirp) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [3/6]

_GL_CXXALIAS_SYS | ( | rewinddir | ,
|  | void | ,
|  | (DIR *dirp) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [4/6]

_GL_CXXALIAS_SYS | ( | closedir | ,
|  | int | ,
|  | (DIR *dirp) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [5/6]

_GL_CXXALIAS_SYS | ( | dirfd | ,
|  | int | ,
|  | (DIR *) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [6/6]

_GL_CXXALIAS_SYS | ( | fdopendir | ,
|  | DIR * | ,
|  | (int fd) |
| ) |  |

## ◆ _GL_CXXALIASWARN() [1/6]

_GL_CXXALIASWARN | ( | opendir |  | ) |

## ◆ _GL_CXXALIASWARN() [2/6]

_GL_CXXALIASWARN | ( | readdir |  | ) |

## ◆ _GL_CXXALIASWARN() [3/6]

_GL_CXXALIASWARN | ( | rewinddir |  | ) |

## ◆ _GL_CXXALIASWARN() [4/6]

_GL_CXXALIASWARN | ( | closedir |  | ) |

## ◆ _GL_CXXALIASWARN() [5/6]

_GL_CXXALIASWARN | ( | dirfd |  | ) |

## ◆ _GL_CXXALIASWARN() [6/6]

_GL_CXXALIASWARN | ( | fdopendir |  | ) |